PaidGoods
API referenceCustomers

Customer with invoices, balance, tickets, reviews and security

GET
/v1/stores/{storeId}/customers/{customerId}

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string
customerId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/stores/string/customers/string"
{  "customer": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "email": "string",    "name": "string",    "country": "string",    "discordUsername": "string",    "hasAccount": true,    "totpEnabled": true,    "marketingOptIn": true,    "ordersCount": -9007199254740991,    "totalSpentMinor": -9007199254740991,    "spentCurrency": "string",    "firstOrderAt": "string",    "lastOrderAt": "string",    "createdAt": "string",    "notes": "string"  },  "balanceMinor": -9007199254740991,  "balanceCurrency": "string",  "balances": [    {      "currency": "string",      "balanceMinor": -9007199254740991    }  ],  "balance": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "kind": "string",      "amountMinor": -9007199254740991,      "currency": "string",      "orderId": "b3e1eced-f2bd-4d8c-9765-fbc9d1d222d5",      "note": "string",      "createdAt": "string"    }  ],  "invoices": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "number": -9007199254740991,      "uniqueId": "string",      "env": "live",      "status": "pending",      "paymentSummary": "string",      "fulfilmentSummary": "string",      "completionKind": "automatic",      "email": "string",      "currency": "string",      "totalMinor": -9007199254740991,      "paidMinor": -9007199254740991,      "refundedMinor": -9007199254740991,      "paymentMethod": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "label": "string",        "provider": "string"      },      "items": [        {          "name": "string",          "variant": "string",          "qty": -9007199254740991        }      ],      "source": "string",      "buyerCountry": "string",      "createdAt": "string",      "paidAt": "string",      "archived": true,      "note": "string",      "storeCurrency": {        "currency": "string",        "rate": "string",        "rateDate": "string",        "totalMinor": -9007199254740991,        "refundedMinor": -9007199254740991      }    }  ],  "tickets": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "number": -9007199254740991,      "subject": "string",      "state": "open",      "priority": "low",      "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",      "customerEmail": "string",      "orderId": "b3e1eced-f2bd-4d8c-9765-fbc9d1d222d5",      "assignedTo": "7869c1a9-a680-4086-b6f5-9e78a651f6f2",      "messagesCount": -9007199254740991,      "lastMessage": {        "authorType": "customer",        "excerpt": "string"      },      "lastMessageAt": "string",      "createdAt": "string"    }  ],  "feedbacks": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "orderId": "b3e1eced-f2bd-4d8c-9765-fbc9d1d222d5",      "importedOrderId": "34dbaecc-509e-42c9-995c-55e9e90b6fd5",      "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",      "customerEmail": "string",      "rating": 1,      "bodyMd": "string",      "displayName": "string",      "automatic": true,      "attachments": [        {          "fileId": "a1c6a2ab-4b01-4253-b4c9-70e04b3b48fc",          "filename": "string",          "size": -9007199254740991        }      ],      "status": "pending",      "moderationReason": "spam",      "merchantReplyMd": "string",      "merchantRepliedAt": "string",      "disputeStatus": "none",      "disputeReason": "string",      "couponId": "15d6ce74-0176-4a4d-819b-7e460f30be6a",      "rewardedAt": "string",      "invoiceNumber": -9007199254740991,      "createdAt": "string"    }  ],  "security": {    "hasPassword": true,    "totpEnabled": true,    "discordLinked": true,    "emailVerified": true  },  "network": {    "ip": "string",    "country": "string",    "userAgent": "string",    "asn": "string",    "seenAt": "string"  },  "sessions": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "ip": "string",      "userAgent": "string",      "lastSeenAt": "string",      "createdAt": "string"    }  ]}